package com.amqp.shanxi.dao;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

import java.util.List;

@Mapper
public interface SensorDataDao {

    @Select("select b.mark from (" +
            " select mark from tab_sensor where mark not like '%干滩%' and mark not like '%内部%'" +
            " union all"+
            " select '干滩' as mark from tab_sensor where mark like '%干滩%'"+
            " union all"+
            " select '内部位移' as mark from tab_sensor where mark like '%内部%'" +
            " ) b  group by b.mark")
    List<String> findAllSensorData();

}
